FUNCTION TEMPLAT(3)

NAME
boost::xpressive::by_ref - Embed a regex object by reference.

SYNOPSIS

// In header: <boost/xpressive/regex_primitives.hpp>
template<typename BidiIter>
  proto::terminal< reference_wrapper< basic_regex< BidiIter > const  > >::type const
  by_ref(basic_regex< BidiIter > const & rex);

DESCRIPTION

Parameters:

    rex
        The basic_regex object to embed by reference.